/*
 *  Gtk-Parted - a front-end for libparted
 *  Copyright (C) 2000, 2001  Damien Genet
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

#ifndef STRING_H
#define STRING_H

#include <glib.h>

gboolean
str_is_empty                           (gchar           *string);

gboolean
str_is_shell_comment_or_empty          (gchar           *string);

/* can be used on NULL pointers */
gboolean
str_are_equal                          (gchar           *string1,
                                        gchar           *string2);

gchar*
str_get_nth_word                       (gchar           *string,
                                        guint            nb,
                                        guint           *length);

gchar*
str_dup_get_nth_word                   (gchar           *string,
                                        guint            nb);

#endif
/* STRING_H */

